Package io.vertx.reactivex.ext.web.validation.builder

## Class ObjectParserFactory

- java.lang.Object
- - io.vertx.reactivex.ext.web.validation.builder.ObjectParserFactory

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class ObjectParserFactory
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  This interface is used to create able to parse serialized object structures.
  Look at `Parsers` for all available factories

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ObjectParserFactory>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectParserFactory​(ObjectParserFactory delegate)` |
    `ObjectParserFactory​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `ObjectParserFactory` | `getDelegate()` |
    `int` | `hashCode()` |
    `static ObjectParserFactory` | `newInstance​(ObjectParserFactory arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ObjectParserFactory> __TYPE_ARG

  - ### Constructor Detail

    - #### ObjectParserFactory

          public ObjectParserFactory​(ObjectParserFactory delegate)

    - #### ObjectParserFactory

          public ObjectParserFactory​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ObjectParserFactory getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### newInstance

          public static ObjectParserFactory newInstance​(ObjectParserFactory arg)